export * from '../index';
export * from '../canvas';
import { Vector3, Group } from 'three';
import React from 'react';
import { CanvasProps } from '../canvas';
import { ReactThreeFiber } from '../three-types';
export declare const Canvas: React.MemoExoticComponent<({ children, ...props }: CanvasProps) => JSX.Element>;
export declare const Dom: ({ container, children, eps, ...props }: {
    container: HTMLElement;
    children: React.ReactNode;
    eps?: number | undefined;
} & Pick<import("..").Overwrite<Partial<Group>, {
    attach?: string | undefined;
    attachArray?: string | undefined;
    attachObject?: [string, string] | undefined;
    args?: [] | undefined;
    children?: React.ReactNode;
    ref?: ((instance: React.ReactNode) => void) | React.RefObject<React.ReactNode> | null | undefined;
    key?: string | number | undefined;
    onUpdate?: ((self: Group) => void) | undefined;
}>, "children" | "key" | "ref" | "onUpdate" | "args" | "name" | "attach" | "attachArray" | "attachObject" | "type" | "id" | "uuid" | "parent" | "quaternion" | "modelViewMatrix" | "normalMatrix" | "matrixWorld" | "matrixAutoUpdate" | "matrixWorldNeedsUpdate" | "layers" | "visible" | "castShadow" | "receiveShadow" | "frustumCulled" | "renderOrder" | "userData" | "customDepthMaterial" | "customDistanceMaterial" | "isObject3D" | "onBeforeRender" | "onAfterRender" | "applyMatrix" | "applyQuaternion" | "setRotationFromAxisAngle" | "setRotationFromEuler" | "setRotationFromMatrix" | "setRotationFromQuaternion" | "rotateOnAxis" | "rotateOnWorldAxis" | "rotateX" | "rotateY" | "rotateZ" | "translateOnAxis" | "translateX" | "translateY" | "translateZ" | "localToWorld" | "worldToLocal" | "lookAt" | "add" | "remove" | "getObjectById" | "getObjectByName" | "getObjectByProperty" | "getWorldPosition" | "getWorldQuaternion" | "getWorldScale" | "getWorldDirection" | "raycast" | "traverse" | "traverseVisible" | "traverseAncestors" | "updateMatrix" | "updateMatrixWorld" | "updateWorldMatrix" | "toJSON" | "clone" | "copy" | "addEventListener" | "hasEventListener" | "removeEventListener" | "dispatchEvent" | "isGroup"> & {
    position?: Vector3 | number[] | undefined;
    up?: Vector3 | number[] | undefined;
    scale?: Vector3 | number[] | undefined;
    rotation?: import("three").Euler | number[] | undefined;
    matrix?: import("three").Matrix4 | number[] | undefined;
} & ReactThreeFiber.Events) => JSX.Element;
